루비 1.8.7과 1.9.2의 종료

루비 버전 1.8.7과 1.9.2의 연장 유지보수가 2014년 7월 31일에 종료됩니다.

추가 정보

지난 12월, 루비 버전 1.8.7과 1.9.2의 지원을 6개월 더 연장 했습니다. 이 연장은 Bamboo와 Cedar 스택을 사용하는 고객을 지원하기 위해 Heroku가 후원해 주었습니다.

슬슬 이 시간 창(time window)을 닫을 때가 됐습니다. 루비 1.8.7은 2008년 6월에 나왔으니, 만들어진지 6년이 갓 지났습니다. 루비 1.9.2는 2010년 8월에 릴리스 되었으니, 만들어진지 4년이 조금 덜 됩니다. 시간이 갈수록, 보안 패치를 관리하고 백포트하기가 점점 더 힘들어 졌습니다. 루비 2.1.2 가 막 릴리스되고 루비 2.2.0가 6개월 후에 나오기로 예정 되어있습니다. 이제 좀 더 현대적인 루비로 업그레이드하시기를 권합니다. 새 버전을 사용하시면 루비 언어와 런타임에 만들어둔 향상된 기능들을 사용하실 수 있습니다. 덧붙여, 새 버전을 사용하시면 앞으로도 계속 버그 패치와 보안 업데이트를 받으실 수 있습니다.

유지보수의 지속에 대해 관심있으신 분들은 hone@ruby-lang.org 나 zzak@ruby-lang.org 로 연락 주시길 바랍니다.